javax.mail

## Class Quota.Resource

- java.lang.Object
- - javax.mail.Quota.Resource

- Enclosing class:
    Quota

      public static class Quota.Resource
      extends Object

  An individual resource in a quota root.
  Since:
    JavaMail 1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `limit` The usage limit for the resource.
    `String` | `name` The name of the resource.
    `long` | `usage` The current usage of the resource.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Quota.Resource(String name, long usage, long limit)` Construct a Resource object with the given name, usage, and limit.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

      The name of the resource.

    - #### usage

          public long usage

      The current usage of the resource.

    - #### limit

          public long limit

      The usage limit for the resource.

  - ### Constructor Detail

    - #### Quota.Resource

          public Quota.Resource(String name,
                        long usage,
                        long limit)

      Construct a Resource object with the given name, usage, and limit.
      Parameters:
        `name` - the resource name
        `usage` - the current usage of the resource
        `limit` - the usage limit for the resource

Copyright © 2016 Oracle. All rights reserved.